Bug 539603 - SELinux is preventing /usr/libexec/pk-gstreamer-install from loading /usr/lib64/gstreamer-0.10/libgstffmpeg.so which requires text relocation.
Summary: SELinux is preventing /usr/libexec/pk-gstreamer-install from loading /usr/lib...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 12
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:1627269f92c...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-20 17:24 UTC by mmix
Modified: 2009-12-02 04:39 UTC (History)
2 users (show)

Fixed In Version: 3.6.32-49.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-01 16:40:46 UTC


Attachments (Terms of Use)

Description mmix 2009-11-20 17:24:11 UTC
Summary:

SELinux is preventing /usr/libexec/pk-gstreamer-install from loading
/usr/lib64/gstreamer-0.10/libgstffmpeg.so which requires text relocation.

Detailed Description:

The gst-install-plu application attempted to load
/usr/lib64/gstreamer-0.10/libgstffmpeg.so which requires text relocation. This
is a potential security problem. Most libraries do not need this permission.
Libraries are sometimes coded incorrectly and request this permission. The
SELinux Memory Protection Tests
(http://people.redhat.com/drepper/selinux-mem.html) web page explains how to
remove this requirement. You can configure SELinux temporarily to allow
/usr/lib64/gstreamer-0.10/libgstffmpeg.so to use relocation as a workaround,
until the library is fixed. Please file a bug report.

Allowing Access:

If you trust /usr/lib64/gstreamer-0.10/libgstffmpeg.so to run correctly, you can
change the file context to textrel_shlib_t. "chcon -t textrel_shlib_t
'/usr/lib64/gstreamer-0.10/libgstffmpeg.so'" You must also change the default
file context files on the system in order to preserve them even on a full
relabel. "semanage fcontext -a -t textrel_shlib_t
'/usr/lib64/gstreamer-0.10/libgstffmpeg.so'"

Fix Command:

chcon -t textrel_shlib_t '/usr/lib64/gstreamer-0.10/libgstffmpeg.so'

Additional Information:

Source Context                unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1
                              023
Target Context                system_u:object_r:lib_t:s0
Target Objects                /usr/lib64/gstreamer-0.10/libgstffmpeg.so [ file ]
Source                        gst-inspect-0.1
Source Path                   /usr/bin/gst-inspect-0.10
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           PackageKit-gstreamer-
                              plugin-0.5.4-0.3.20091029git.fc12
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.32-41.fc12
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   allow_execmod
Host Name                     (removed)
Platform                      Linux (removed) 2.6.31.5-127.fc12.x86_64 #1 SMP Sat Nov
                              7 21:11:14 EST 2009 x86_64 x86_64
Alert Count                   17
First Seen                    Sat 21 Nov 2009 01:52:27 AM KST
Last Seen                     Sat 21 Nov 2009 02:11:00 AM KST
Local ID                      c3549e1d-30f2-4a97-b70d-2d78fd8a4222
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1258737060.846:21432): avc:  denied  { execmod } for  pid=27559 comm="gst-install-plu" path="/usr/lib64/gstreamer-0.10/libgstffmpeg.so" dev=dm-1 ino=64024 scontext=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 tcontext=system_u:object_r:lib_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1258737060.846:21432): arch=c000003e syscall=10 success=no exit=-13 a0=7(removed)cb7bd000 a1=594000 a2=5 a3=390e215bcc items=0 ppid=27557 pid=27559 auid=500 uid=500 gid=500 euid=500 suid=500 fsuid=500 egid=500 sgid=500 fsgid=500 tty=pts0 ses=1 comm="gst-install-plu" exe="/usr/libexec/pk-gstreamer-install" subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  selinux-policy-3.6.32-41.fc12,allow_execmod,gst-inspect-0.1,unconfined_t,lib_t,file,execmod
audit2allow suggests:

#============= unconfined_t ==============
allow unconfined_t lib_t:file execmod;

Comment 1 Daniel Walsh 2009-11-20 21:13:42 UTC
Execute the chcon command in the sealert.

I will make this the default label again.

Fixed in selinux-policy-3.6.32-48.fc12.noarch

Comment 2 Fedora Update System 2009-11-23 23:38:10 UTC
selinux-policy-3.6.32-49.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-49.fc12

Comment 3 Fedora Update System 2009-11-25 15:21:12 UTC
selinux-policy-3.6.32-49.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-12131

Comment 4 Fedora Update System 2009-12-02 04:32:41 UTC
selinux-policy-3.6.32-49.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.